#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QProcess>
#include <QRegExp>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
public slots:

     void procStarted();
     void procFinished(int exitcode,QProcess::ExitStatus exitstatus);
     void procReadStdout();

signals:
     void valueChanged(int);

private slots:
     void on_startButton_clicked();

private:
    Ui::MainWindow *ui;
    QProcess proc_;
    QRegExp reproz_;
};

#endif // MAINWINDOW_H
